Last Exception Files & How to read them

Discussion in 'Technical Discussion' started by SrslySims, Aug 8, 2018.

  1. If you're not seeing your confirmation registration e-mail in your inbox, make sure you check your spam folder! Contact Us for further assistance or Resend confirmation e-mail !
  1. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    What are Last Exception Files?


    'Last Exception' and 'Last UI Exception' files are created to let you know that there is something wrong with your game. This can be anything from a core game error to a broken mod or custom content item that you have installed.

    Last Exception files and Last UI Exception files are .txt format files that are generated in you Documents/Electronic Arts/The Sims 4 folder. You can open these up in notepad to take a look and see what is causing you errors.

    Keep in mind that any mod that changes the UI or are script mods will most likely need to be updated after a new patch. You can check with the creator of the mods you are using to see if there is a new update.

    Occasionally custom content breaks after major changes made by EA (this is rare, but does happen) and that can also cause you to have game issues and give you Last Exception errors.
     
  2. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    How to read Last Exception Files

    If your game has given you a LE or LUIE you can open it up in notepad or any similar program that reads .txt files. You will see a wall of text that is telling you what was going on and what threw and error. Sometimes reading LE files is hard when you are just looking at a giant wall of text. You can use XMLPrettyPrint to make it a little easier to read.
     
  3. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    Lets take a look at an example Last Exception File:

    <?xml version="1.0" ?><root>
    <report><version>2</version><sessionid>ce79611af0bff5815b6b003e</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-08 09:38:23</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>utils.py:116</categoryid><desyncid>ce79611af0bff5815b6b003e</desyncid><systemconfig/><screenshot/><desyncdata> Failure: 'Marducplays_Careers_PrivateInvestigator.cpython-33' (Marducplays_Careers_PrivateInvestigator.cpython-33) (ImportError: No module named 'Marducplays_Careers_PrivateInvestigator.cpython-33'; Marducplays_Careers_PrivateInvestigator is not a package)&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\importer\utils.py", line 119, in import_modules_by_path&#13;&#10; File "&lt;frozen importlib._bootstrap&gt;", line 1520, in _find_and_load_unlocked&#13;&#10;AttributeError: 'module' object has no attribute '__path__'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\importer\utils.py", line 116, in import_modules_by_path&#13;&#10;ImportError: No module named 'Marducplays_Careers_PrivateInvestigator.cpython-33'; Marducplays_Careers_PrivateInvestigator is not a package&#13;&#10;</desyncdata></report>
    </root>

    This LE file is pretty easy to find the problem.
    As you can see "Marducplays_Careers_PrivateInvestigator" is the mod that is giving an issue.
    This means that this mod is either broken or needs to be updated.
     
  4. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    Lets look at another example Last Exception File (this one is longer):

    <?xml version="1.0" ?><root>
    <report><version>2</version><sessionid>b3239e6a254523cb5b6a04ed</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-07 21:46:47</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>part.py:149</categoryid><desyncid>b3239e6a254523cb5b6a04ed</desyncid><systemconfig/><screenshot/><desyncdata>Exception in &lt;function c_api_set_object_location_ex at 0x00007FF4D05DB560&gt;, args: (1090442618365223656, 257276805816713921, {F2207C8B39B22E8,1,World}, Transform(Vector3(366.167480, 156.847900, 383.891846), Quaternion(0.000000, 0.979608, 0.000000, 0.200921)), 0, (0, 0), 0), kwargs: {}&#13;&#10;KeyError('Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44ba702c1[6]',) (KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44ba702c1[6]')&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 183, in wrapper&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 147, in get_joint_transform&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\native\animation\__init__.py", line 239, in get_joint_transform_from_rig&#13;&#10;KeyError: 'get_joint_transform_from_rig: Joint name [b__subroot__6] was not found in the specified rig [3b0eea5fd8ff2486.8eaf13de]. JointNameHash [0x0]().'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\build_buy.py", line 834, in c_api_set_object_location_ex&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1502, in set_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 348, in location&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 405, in set_location_without_distribution&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 575, in on_owner_location_changed&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 149, in get_joint_transform&#13;&#10;KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44ba702c1[6]'&#13;&#10;</desyncdata></report>
    <report><version>2</version><sessionid>b3239e6a254523cb5b6a04ed</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-07 21:46:47</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>part.py:149</categoryid><desyncid>b3239e6a254523cb5b6a04ed</desyncid><systemconfig/><screenshot/><desyncdata>Exception in &lt;function c_api_set_object_location_ex at 0x00007FF4D05DB560&gt;, args: (1090442618365223656, 257276805817107139, {F2207C8B39B22E8,1,World}, Transform(Vector3(365.707855, 156.847900, 383.695038), Quaternion(0.000000, 0.979608, 0.000000, 0.200921)), 0, (0, 0), 0), kwargs: {}&#13;&#10;KeyError('Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]',) (KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]')&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 183, in wrapper&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 147, in get_joint_transform&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\native\animation\__init__.py", line 239, in get_joint_transform_from_rig&#13;&#10;KeyError: 'get_joint_transform_from_rig: Joint name [b__subroot__6] was not found in the specified rig [3b0eea5fd8ff2486.8eaf13de]. JointNameHash [0x0]().'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\build_buy.py", line 834, in c_api_set_object_location_ex&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1502, in set_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 348, in location&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 405, in set_location_without_distribution&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 575, in on_owner_location_changed&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 149, in get_joint_transform&#13;&#10;KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]'&#13;&#10;</desyncdata></report>
    <report><version>2</version><sessionid>b3239e6a254523cb5b6a04ed</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-07 21:49:35</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>part.py:149</categoryid><desyncid>b3239e6a254523cb5b6a04ed</desyncid><systemconfig/><screenshot/><desyncdata>Exception in &lt;function c_api_clear_parent_object at 0x00007FF4D1277CB0&gt;, args: (257276805817107139, Transform(Vector3(364.901184, 156.847900, 384.169708), Quaternion(0.000000, -0.550615, 0.000000, -0.834760)), 1090442618365223656, {F2207C8B39B22E8,1,World}), kwargs: {}&#13;&#10;KeyError('Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]',) (KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]')&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 183, in wrapper&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 147, in get_joint_transform&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\native\animation\__init__.py", line 239, in get_joint_transform_from_rig&#13;&#10;KeyError: 'get_joint_transform_from_rig: Joint name [b__subroot__6] was not found in the specified rig [3b0eea5fd8ff2486.8eaf13de]. JointNameHash [0x0]().'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\system.py", line 407, in c_api_clear_parent_object&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1509, in clear_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1502, in set_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 348, in location&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 405, in set_location_without_distribution&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 575, in on_owner_location_changed&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 149, in get_joint_transform&#13;&#10;KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]'&#13;&#10;</desyncdata></report>
    <report><version>2</version><sessionid>b3239e6a254523cb5b6a04ed</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-07 21:49:45</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>part.py:149</categoryid><desyncid>b3239e6a254523cb5b6a04ed</desyncid><systemconfig/><screenshot/><desyncdata>Exception in &lt;function c_api_clear_parent_object at 0x00007FF4D1277CB0&gt;, args: (257276805817107139, Transform(Vector3(366.035522, 156.847900, 381.659668), Quaternion(0.000000, -0.550615, 0.000000, -0.834760)), 1090442618365223656, {F2207C8B39B22E8,1,World}), kwargs: {}&#13;&#10;KeyError('Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]',) (KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]')&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 183, in wrapper&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 147, in get_joint_transform&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\native\animation\__init__.py", line 239, in get_joint_transform_from_rig&#13;&#10;KeyError: 'get_joint_transform_from_rig: Joint name [b__subroot__6] was not found in the specified rig [3b0eea5fd8ff2486.8eaf13de]. JointNameHash [0x0]().'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\system.py", line 407, in c_api_clear_parent_object&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1509, in clear_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1502, in set_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 348, in location&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 405, in set_location_without_distribution&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 575, in on_owner_location_changed&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 149, in get_joint_transform&#13;&#10;KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]'&#13;&#10;</desyncdata></report>
    <report><version>2</version><sessionid>b3239e6a254523cb5b6a04ed</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-07 21:49:57</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>part.py:149</categoryid><desyncid>b3239e6a254523cb5b6a04ed</desyncid><systemconfig/><screenshot/><desyncdata>Exception in &lt;function c_api_clear_parent_object at 0x00007FF4D1277CB0&gt;, args: (257276805817107139, Transform(Vector3(364.901184, 157.047119, 384.169708), Quaternion(0.000000, -0.550615, 0.000000, -0.834760)), 1090442618365223656, {F2207C8B39B22E8,1,World}), kwargs: {}&#13;&#10;KeyError('Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]',) (KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]')&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 183, in wrapper&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 147, in get_joint_transform&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\native\animation\__init__.py", line 239, in get_joint_transform_from_rig&#13;&#10;KeyError: 'get_joint_transform_from_rig: Joint name [b__subroot__6] was not found in the specified rig [3b0eea5fd8ff2486.8eaf13de]. JointNameHash [0x0]().'&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\system.py", line 407, in c_api_clear_parent_object&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1509, in clear_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 1502, in set_parent&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 348, in location&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\client_object_mixin.py", line 405, in set_location_without_distribution&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 575, in on_owner_location_changed&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\part.py", line 149, in get_joint_transform&#13;&#10;KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01:0x039207e44bad02c3[6]'&#13;&#10;</desyncdata></report>
    </root>


    Now this error has to do with a broken piece of custom content.
    We know this because: "KeyError: 'Unable to find joint b__subroot__6 on object_bedDoubleRWPainter_01"
    This can be fixed using a Batch Fix from Sims 4 Studio.
     
  5. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    Let's look at one last example Last Exception error:

    <?xml version="1.0" ?><root>
    <report><version>2</version><sessionid>b049a8561dfad7385b679c75</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-05 19:30:55</createtime><buildsignature>Local.Unknown.Unknown.1.45.62.1020-1.200.000.360.Release</buildsignature><categoryid>plex_service.py:144</categoryid><desyncid>b049a8561dfad7385b679c75</desyncid><systemconfig/><screenshot/><desyncdata>[manus] culling_service failed to handle on_all_households_and_sim_infos_loaded due to exception (TypeError: must be Vector3, not None)&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 113, in wrapped&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 109, in finally_wrap&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 157, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 175, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 356, in c_api_client_connect&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 548, in do_zone_spin_up&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\zone_spin_up_service.py", line 1256, in update&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\zone_spin_up_service.py", line 251, in on_enter&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\service_manager.py", line 443, in on_all_households_and_sim_infos_loaded&#13;&#10; File ".\mc_utils.py", line 119, in _wrapper_function&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\service_manager.py", line 440, in on_all_households_and_sim_infos_loaded&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\sims\culling\culling_service.py", line 73, in on_all_households_and_sim_infos_loaded&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\sims\culling\culling_service.py", line 128, in _create_pending_urnstones&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\placement\placement_helper.py", line 449, in try_place_object&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\placement\placement_helper.py", line 94, in try_place_object&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\placement\placement_helper.py", line 220, in _get_reference_objects_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\objects\placement\placement_helper.py", line 70, in get_objects_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\world\lot.py", line 192, in get_default_position&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\plex\plex_service.py", line 144, in get_plex_zone_at_position&#13;&#10;TypeError: must be Vector3, not None&#13;&#10;</desyncdata></report>
    </root>

    So as we can see, there is no mod or cc that is giving an error.
    This means we know that it is an error from the core game files.
    In this case the error was "culling_service failed to handle on_all_households_and_sim_infos_loaded"
    To try to solve this error we would need to clear the Sims 4 cache, and maybe repair the game through origin if clearing the cache did not solve the problem.
     
  6. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    Do you need help reading a last exception file?

    You can post it here and we can help you figure out your problem!

    Or you can post your files on Deaderpool's Discord under #general_support
     
  7. netcat

    netcat
    1/12

    Messages:
    2
    Likes Received:
    1
    Trophy Points:
    1
    Hi!

    I have a LastUiException.txt file it says:

    <?xml version="1.0" ?><root>
    <report><version>2</version><sessionid>9c1d92b5cb591b785b86a12c</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-08-29 14:44:41</createtime><buildsignature>Local.Unknown.Unknown.1.46.18.1020-1.200.000.364.Release</buildsignature><categoryid>(AS)olympus.utils::DisplayObjectUtils</categoryid><desyncid>9c1d92b5cb591b785b86a12c</desyncid><systemconfig/><screenshot/><desyncdata>TypeError: Error #1009: Cannot access a property or method of a null object reference.&#13;&#10; at olympus.utils::DisplayObjectUtils/CenterHorizontallyWithinObject()&#13;&#10; at widgets.CAS.AgeGender::AgeGenderPane/ResizeVoiceButtonsPanel()&#13;&#10; at widgets.CAS.AgeGender::AgeGenderPane/RefreshContentsPositions()&#13;&#10; at widgets.CAS.AgeGender::AgeGenderPane/SetSimInfo()&#13;&#10; at widgets.CAS.AgeGender::AgeGenderPane/OnAgeGenderPanelAddedToStage()&#13;&#10; at olympus.core::LayoutManager/LoadWidgetCompleteHandler()&#13;&#10;</desyncdata></report>
    </root>

    I have no clue what this could be. The only thing I know is that I can't upload my sims to the community gallery at this time. And there are no results visible in the community gallery and there is no connection with the gallery! What could be the problem here? Is there a maintenance going on at EA's? I'm not the only one with this problem :-( Hope you guys can help me. Thanx!
     
  8. SrslySims
    Dazed

    SrslySims Lost in Strangeland Staff Member
    130/135

    Messages:
    237
    Likes Received:
    245
    Trophy Points:
    130
    Occupation:
    Simmer | Creator
    Last UI Exceptions are different than Last Exceptions. These are usually harder to read. If you send me your most recent LastException file I can take a look. But from what this is saying generally is there is something that is affecting your UI. Make sure any mod that you might have installed that adds new careers or changes the UI in any way (more columns in cas, expanded needs, etc.) Is up to date. Since this is the widget for CAS age, I would check all the mods you have that change anything in CAS. (wrench hider mod, more columns, cas lighting mods, etc.)
     
  9. netcat

    netcat
    1/12

    Messages:
    2
    Likes Received:
    1
    Trophy Points:
    1

    Thanx, than I guess it has something to do with the "UI Cheats Extension".
     
    • Like Like x 1
  10. ohsocrayz

    ohsocrayz
    1/12

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    #10 ohsocrayz, Sep 23, 2018
    Last edited: Sep 23, 2018
    Hi, I was wondering if you could help me with this?

    <?xml version="1.0"?>
    <root>
    <report>
    <version>2</version>
    <sessionid>78d4fd22f2cf7b3c5ba6dadf</sessionid>
    <type>desync</type>
    <sku>ea.maxis.sims4.13.pc</sku>
    <createtime>2018-09-22 19:26:49</createtime>
    <buildsignature>Local.Unknown.Unknown.1.46.18.1020-1.200.000.364.Release</buildsignature>
    <categoryid>tunable.py:2171</categoryid>
    <desyncid>78d4fd22f2cf7b3c5ba6dadf</desyncid>
    <systemconfig/>
    <screenshot/>
    <desyncdata>[cjiang] Caught exception loading reference. RefName: 16651 Manager: InstanceManager_statistic.&#xD;
    TunableReference is set to a value that is not allowed by its class restriction. (ValueError: TunableReference is set to a value that is not allowed by its class restriction.)&#xD;
    Traceback (most recent call last):&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 150, in c_api_server_init_tick&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\core_services.py", line 164, in start_service_tick&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\service_manager.py", line 335, in start_single_service&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 104, in update_incremental_start&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 144, in _execute_gen&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\wickedwhims\sex\_ts4_tuning\objects_states.py", line 26, in _wickedwhims_add_computer_object_states&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\resources\whims.py", line 98, in _turbolib_load_whims_into_whim_sets&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\resources\affordances.py", line 236, in _turbolib_add_affordances_to_social_mixer_affordance_list_snippets&#xD;
    File ".\mc_utils.py", line 119, in _wrapper_function&#xD;
    File ".\mc_injections.py", line 253, in inject_load_data_into_class_instances&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 433, in load_data_into_class_instances&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 658, in load_from_xml&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 703, in feed&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 747, in _load_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 796, in _load_tunable&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1429, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1188, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 820, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1735, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1429, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 2184, in load_etree_node&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\special\exception_watcher.py", line 16, in _turbolib_on_exception_log&#xD;
    File ".\mc_utils.py", line 119, in _wrapper_function&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 2171, in load_etree_node&#xD;
    ValueError: TunableReference is set to a value that is not allowed by its class restriction.&#xD;
    </desyncdata>
    </report>
    <report>
    <version>2</version>
    <sessionid>78d4fd22f2cf7b3c5ba6dadf</sessionid>
    <type>desync</type>
    <sku>ea.maxis.sims4.13.pc</sku>
    <createtime>2018-09-22 19:26:51</createtime>
    <buildsignature>Local.Unknown.Unknown.1.46.18.1020-1.200.000.364.Release</buildsignature>
    <categoryid>tunable.py:2171</categoryid>
    <desyncid>78d4fd22f2cf7b3c5ba6dadf</desyncid>
    <systemconfig/>
    <screenshot/>
    <desyncdata>[cjiang] Caught exception loading reference. RefName: 16651 Manager: InstanceManager_statistic.&#xD;
    TunableReference is set to a value that is not allowed by its class restriction. (ValueError: TunableReference is set to a value that is not allowed by its class restriction.)&#xD;
    Traceback (most recent call last):&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 150, in c_api_server_init_tick&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\core_services.py", line 164, in start_service_tick&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\service_manager.py", line 335, in start_single_service&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 104, in update_incremental_start&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 144, in _execute_gen&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\wickedwhims\sex\_ts4_tuning\objects_states.py", line 26, in _wickedwhims_add_computer_object_states&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\resources\whims.py", line 98, in _turbolib_load_whims_into_whim_sets&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\resources\affordances.py", line 236, in _turbolib_add_affordances_to_social_mixer_affordance_list_snippets&#xD;
    File ".\mc_utils.py", line 119, in _wrapper_function&#xD;
    File ".\mc_injections.py", line 253, in inject_load_data_into_class_instances&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\instance_manager.py", line 433, in load_data_into_class_instances&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 658, in load_from_xml&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 703, in feed&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 747, in _load_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\serialization.py", line 796, in _load_tunable&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1429, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1188, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 820, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1735, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 1429, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 371, in load_etree_node&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 2184, in load_etree_node&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\injector_util.py", line 21, in _wrapped_function&#xD;
    File ".\WickedWhims 3.3.4.134.4\turbolib\special\exception_watcher.py", line 16, in _turbolib_on_exception_log&#xD;
    File ".\mc_utils.py", line 119, in _wrapper_function&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 2171, in load_etree_node&#xD;
    ValueError: TunableReference is set to a value that is not allowed by its class restriction.&#xD;
    </desyncdata>
    </report>
    </root>
     
  11. María del Pilar

    María del Pilar
    1/12

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Hi, I have a LE. It appears when I try to watch the tv.

    <?xml version="1.0"?>
    <root>
    <report>
    <version>2</version>
    <sessionid>46d9d95d52d0df925bbab803</sessionid>
    <type>desync</type>
    <sku>ea.maxis.sims4.13.pc</sku>
    <createtime>2018-10-07 21:57:16</createtime>
    <buildsignature>Local.Unknown.Unknown.1.46.18.1020-1.200.000.364.Release</buildsignature>
    <categoryid>__init__.py:195</categoryid>
    <desyncid>46d9d95d52d0df925bbab803</desyncid>
    <systemconfig/>
    <screenshot/>
    <desyncdata>Exception in Sim Timeline: Exception running Element (AttributeError: 'object_tvSurfaceDS2x1_01' object has no attribute 'get_focus_bone')&#xD;
    Traceback (most recent call last):&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 212, in simulate&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 376, in _run&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 5816, in _do_perform_gen&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 5803, in _get_behavior&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 3894, in build_basic_elements&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 6086, in build_basic_elements&#xD;
    File "T:\InGame\Gameplay\Scripts\Core\sims4\tuning\tunable.py", line 523, in __call__&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\utils\sim_focus.py", line 252, in factory&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\utils\sim_focus.py", line 222, in with_sim_focus&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\interactions\utils\sim_focus.py", line 194, in __init__&#xD;
    File "T:\InGame\Gameplay\Scripts\Server\objects\components\__init__.py", line 195, in __getattr__&#xD;
    AttributeError: 'object_tvSurfaceDS2x1_01' object has no attribute 'get_focus_bone'&#xD;
    </desyncdata>
    </report>
    </root>

    I don't know what is the cause.
     

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.